﻿@model HOD.Models.AgentDisplayModel
@using Microsoft.Ajax.Utilities
    @{
    ViewBag.Title = "Agent Portal - Categorization of Listing";
    Layout = "~/Views/Shared/_SecuredPagesLayout.cshtml";}
<style>
    table td, table td * {
        vertical-align: top;
    }

table { 
    border-spacing: 1px;
    border-collapse: separate;
}
</style>


<!--link href="@Url.Content("~/Content/assets/css/croppic.css")" rel="stylesheet">
<script type="text/javascript" src="@Url.Content("~/Scripts/croppic.js")"></script-->

<style>

    a.newListing {
        color: #333333;
    }

        a.newListing:active {
            color: #666666;
        }

        a.newListing:link {
            color: #999999;
        }

        a.newListing:visited {
            color: #ffffff;
        }

    textarea {
        background-color: lightyellow;
        width: 100%;
    }
</style>

<!--div class="details_holder"-->
        <div class="panel panel-primary" style="border: none">
            <div class="panel-heading" align="left"></div>
            <div class="panel-body" style="background-color: #ffffff;">
                <a href="/Agent/AgentPortal">Return to Main</a>
                <br />                                   
                <clear />
        
              <div class="panel-group" id="accordion">
              <div class="panel panel-default">
                <div class="panel-heading">
                  <h4 class="panel-title">
                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">
                      <b>Newly Listed</b>
                    </a>
                  </h4>
                </div>
                <div id="collapseOne" class="panel-collapse">
                  <div class="panel-body" style="min-height: 100px; max-height: 300px;overflow-y: scroll;">
                    @if (Model.listingImages != null)
                        {
                        <table border="0" style="width:100%;" class="table table-striped">
                                                                               
                        @{

                        List<SelectListItem> listingOrdCategory = new List<SelectListItem>();                                
                        listingOrdCategory.Add(new SelectListItem { Value = "NoP", Text = "(No Preference)"});
                        listingOrdCategory.Add(new SelectListItem { Value="NEW", Text = "Newly Listed" });
                        listingOrdCategory.Add(new SelectListItem { Value="HOT", Text = "Hot Properties" });
                        listingOrdCategory.Add(new SelectListItem { Value="JUS", Text = "Just Sold"});
                        }
                        
                        <tr>
                            <th>Listing</th>
                            <th>Category</th>
                            <th>Address</th>
                            <th>Description</th>
                            <th>Contact</th>
                        </tr>
                        <tr>
                            @{
                            int newCount = Model.listingImages.Where(x => x.Category == "NEW").Count();   
                            }
                            <td colspan="5">There are @newCount properties categorized as Newly Listed</td>
                        </tr>
                        @foreach (var listing in Model.listingImages.Where(x => x.Category == "NEW").ToList<HOD.Models.ListingImageMetaData>()){

                           String onclick = String.Format("updateCat({0})", listing.ListingId);
                           String listingId = listing.ListingId;
                            
                            <tr>
                                <td><img src="@listing.ListingImageUrl" style="width:200px; height:100px;" /></td>
                                <td style="width:200px;">
                                            @Html.DropDownListFor(m => listing.Category, new SelectList(
                                              listingOrdCategory,
                                              "value", "text", "New"), new { @class = "form-control", @placeholder = "Order Category Top", id = "listingOrderCategoryTop" + listingId })
                                    <br />
                                            <input type="button" value="Update Category" class="btn btn-primary" data-task="updateCat"  onclick="@onclick" />

                                        
                                </td>
                                <td>@Html.ActionLink(listing.Address, "ViewListing", "Agent", new { listingid = listingId }, null) </td>
                                <td>@listing.MainSellingDesc </td>
                                <td>@listing.ContactPerson &nbsp; Phone: @listing.PhoneNo</td>
                            </tr>
                        }
                        </table>                                                 
                        } else {
                            Response.Write("No listings found in category NEW");   
                        }
                  </div>
                </div>
                <p></p>
                  <br />
                <div class="panel-heading">
                  <h4 class="panel-title">
                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">
                      <b>Hot Properties</b>
                    </a>
                  </h4>
                </div>
                <div id="collapseOneX" class="panel-collapse">
                  <div class="panel-body" style="min-height: 100px; max-height: 300px;overflow-y: scroll;">
                    @if (Model.listingImages != null)
                        {
                        <table border="0" style="width:100%;" class="table table-striped">
                                                                               
                        @{
                        List<SelectListItem> listingOrdCategory = new List<SelectListItem>();                                
                        listingOrdCategory.Add(new SelectListItem { Value = "NoP", Text = "(No Preference)"});
                        listingOrdCategory.Add(new SelectListItem { Value="NEW", Text = "Newly Listed" });
                        listingOrdCategory.Add(new SelectListItem { Value="HOT", Text = "Hot Properties" });
                        listingOrdCategory.Add(new SelectListItem { Value="JUS", Text = "Just Sold"});
                        }

                        <tr>
                            <th>Listing</th>
                            <th>Category</th>
                            <th>Address</th>
                            <th>Description</th>
                            <th>Contact Person </th>
                        </tr>
                        <tr>
                            @{
                            int hotCount = Model.listingImages.Where(x => x.Category == "HOT").Count();   
                            }
                            <td colspan="5">There are @hotCount properties categorized as Hot Properties</td>

                        </tr>

                        @foreach (var listing in Model.listingImages.Where(x => x.Category == "HOT").ToList<HOD.Models.ListingImageMetaData>()){

                           String onclick = String.Format("updateCat({0})", listing.ListingId);
                           String listingId = listing.ListingId;
                            
                            <tr>
                                <td><img src="@listing.ListingImageUrl" style="width:200px; height:100px; " /></td>
                                <td style="width:200px;">
                                            @Html.DropDownListFor(m => listing.Category, new SelectList(
                                              listingOrdCategory,
                                              "value", "text", "HOT"), new { @class = "form-control", @placeholder = "Order Category Top", id = "listingOrderCategoryTop" + listingId })
                                    <br />
                                            <input type="button" value="Update Category" class="btn btn-primary" data-task="updateCat"  onclick="@onclick" />

                                        
                                </td>
                                <td>@Html.ActionLink(listing.Address, "ViewListing", "Agent", new { listingid = listingId }, null) </td>
                                <td>@listing.MainSellingDesc </td>
                                <td>@listing.ContactPerson &nbsp; Phone: @listing.PhoneNo</td>
                            </tr>
                        }
                        </table>                                                 
                        } else {
                            Response.Write("No listings found in category NEW");   
                        }
                  </div>
                </div>
                <p></p>
                  <br />
                <div class="panel-heading">
                  <h4 class="panel-title">
                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">
                      <b>Just Sold</b>
                    </a>
                  </h4>
                </div>
              <div id="collapseJust" class="panel-collapse">
                  <div class="panel-body" style="min-height: 100px; max-height: 300px;overflow-y: scroll;">
                    @if (Model.listingImages != null)
                        {
                        <table border="0" style="width:100%;">
                                                                               
                        @{
                        List<SelectListItem> listingOrdCategory = new List<SelectListItem>();                                
                        listingOrdCategory.Add(new SelectListItem { Value = "NoP", Text = "(No Preference)"});
                        listingOrdCategory.Add(new SelectListItem { Value="NEW", Text = "Newly Listed" });
                        listingOrdCategory.Add(new SelectListItem { Value="HOT", Text = "Hot Properties" });
                        listingOrdCategory.Add(new SelectListItem { Value="JUS", Text = "Just Sold"});
                        }

                        <tr>
                            <th>Listing</th>
                            <th>Category</th>
                            <th>Address</th>
                            <th>Description</th>
                            <th>Contact Person </th>
                        </tr>
                        <tr>
                            @{
                            int justCount = Model.listingImages.Where(x => x.Category == "JUS").Count();   
                            }
                            <td colspan="5">There are @justCount properties categorized as Just Sold</td>

                        </tr>

                        @foreach (var listing in Model.listingImages.Where(x => x.Category == "JUS").ToList<HOD.Models.ListingImageMetaData>()){

                           String onclick = String.Format("updateCat({0})", listing.ListingId);
                           String listingId = listing.ListingId;
                            
                            <tr>
                                <td><img src="@listing.ListingImageUrl" style="width:200px; height:100px; " /></td>
                                <td style="width:200px;">
                                            @Html.DropDownListFor(m => listing.Category, new SelectList(
                                              listingOrdCategory,
                                              "value", "text", "JUS"), new { @class = "form-control", @placeholder = "Order Category Top", id = "listingOrderCategoryTop" + listingId })
                                    <br />
                                            <input type="button" value="Update Category" class="btn btn-primary" data-task="updateCat"  onclick="@onclick" />

                                        
                                </td>
                                <td>@Html.ActionLink(listing.Address, "ViewListing", "Agent", new { listingid = listingId }, null) </td>
                                <td style="width:200px;">@listing.MainSellingDesc </td>
                                <td style="width:200px;">@listing.ContactPerson &nbsp; Phone: @listing.PhoneNo</td>
                            </tr>
                            <tr><td colspan="5"><hr /></td></tr>
                        }
                        </table>                                                 
                        } 
                  </div>
                </div>
                <p></p>
                  <br />
                <div class="panel-heading">
                  <h4 class="panel-title">
                    <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">
                      <b>(No Preference)</b>
                    </a>
                  </h4>
                </div>
              <div id="collapseNoPref" class="panel-collapse">
                  <div class="panel-body" style="min-height: 100px; max-height: 300px;overflow-y: scroll;">
                    @if (Model.listingImages != null)
                        {
                        <table border="0" style="width:100%;">
                                                                               
                        @{
                        List<SelectListItem> listingOrdCategory = new List<SelectListItem>();                                
                        listingOrdCategory.Add(new SelectListItem { Value = "NoP", Text = "(No Preference)"});
                        listingOrdCategory.Add(new SelectListItem { Value="NEW", Text = "Newly Listed" });
                        listingOrdCategory.Add(new SelectListItem { Value="HOT", Text = "Hot Properties" });
                        listingOrdCategory.Add(new SelectListItem { Value="JUS", Text = "Just Sold"});
                        }

                        <tr>
                            <th>Listing</th>
                            <th>Category</th>
                            <th>Address</th>
                            <th>Description</th>
                            <th>Contact Person </th>
                        </tr>
                        <tr>
                            @{
                            int noPrefCount = Model.listingImages.Where(x => x.Category == "NoP").Count();   
                            }
                            <td colspan="5">There are @noPrefCount properties categorized as (No Preference)</td>

                        </tr>

                        @foreach (var listing in Model.listingImages.Where(x => x.Category == "NoP").ToList<HOD.Models.ListingImageMetaData>()){

                           String onclick = String.Format("updateCat({0})", listing.ListingId);
                           String listingId = listing.ListingId;
                            
                            <tr>
                                <td><img src="@listing.ListingImageUrl" style="width:200px; height:100px; " /></td>
                                <td style="width:200px;">
                                            @Html.DropDownListFor(m => listing.Category, new SelectList(
                                              listingOrdCategory,
                                              "value", "text", "NoP"), new { @class = "form-control", @placeholder = "Order Category Top", id = "listingOrderCategoryTop" + listingId })
                                    <br />
                                            <input type="button" value="Update Category" class="btn btn-primary" data-task="updateCat"  onclick="@onclick" />

                                        
                                </td>
                                <td>@Html.ActionLink(listing.Address, "ViewListing", "Agent", new { listingid = listingId }, null) </td>
                                <td style="width:200px;">@listing.MainSellingDesc </td>
                                <td style="width:200px;">@listing.ContactPerson &nbsp; Phone: @listing.PhoneNo</td>
                            </tr>
                            <tr><td colspan="5"><hr /></td></tr>
                        }
                        </table>                                                 
                        } 
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
       </!--div>
    </div>
</div>
<!--/div-->

@{
    
    string agentLogo = Model.AgentLogo;
    
    
    HOD.Data.Entities.UserProfile userProfile;
     using (HOD.Data.Entities.HODContext dbContext = new HOD.Data.Entities.HODContext()){
          userProfile = dbContext.UserProfiles.Where( agent => agent.UserId == Model.AgentId).FirstOrDefault();
     }
     
     if (userProfile == null){
         agentLogo = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";         
     } else
     if (userProfile.Tier.ToUpper() == "FREE"){
         agentLogo = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";
     }
}

<script>
    var $body2 = $('body');
    $body2.css('background-image', 'none');
    $(document).ready(function () {
        var $body = $('body');
        // $('body').css('backgroundImage', 'url(' + '@Model.AgentTopBackground' + ') !important;');
        $body.css('backgroundImage', 'url("@Model.AgentTopBackground")');//.height(525).width(1660);
        $('#agentLogo').attr('src', '@agentLogo').height(72).width(313);

    });

    function updateCat(listingId){

        var selectId = "#listingOrderCategoryTop"  + listingId;
        var propCat = $(selectId).val();

        $.ajax({
            type:"POST",
            url: "/Agent/UpdateListingCat",
            data: {listingId: listingId,  categoryVal: propCat},
            success: listingSuccess,
            error: listingError                            
        });                        
    }

    function listingSuccess(){
        //alert('Successfully update');
        location.reload();
        }

    function listingError(e){
        console.log(e);
        alert('Failed update');
        }

</script>